Skip to main content
POST
Create Member Note

Authorizations

Authorization
string
header
required

An Account API key, an App API key, an account access token, an account-scoped user token, or a user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.

Headers

Idempotency-Key
string

A unique key that makes this request safe to retry. See Idempotent requests.

Maximum string length: 255
Example:

"d9105228-4a08-46b1-8b91-42fed586d383"

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-10-13"

Path Parameters

member_id
string
required

The member the notes are about, prefixed mber_.

Body

application/json
content
string
required

The note text.

Example:

"Wants a call next week."

Response

member note created

author
object | null
required

The user who wrote the note, or null when it was added by an API key or automatically by Whop.

content
string
required

The note text.

Example:

"Asked about annual billing."

created_at
string
required

When the note was added, as an ISO 8601 timestamp.

Example:

"2026-01-01T12:00:00.000Z"

id
string
required

Member note ID, prefixed note_.

Example:

"note_xxxxxxxxxxxxxx"

member_id
string
required

The member the note is about, prefixed mber_.

Example:

"mber_xxxxxxxxxxxxxx"

user_id
string
required

The customer the note is about, prefixed user_.

Example:

"user_xxxxxxxxxxxxxx"